<?php
/*
	Created by: Yasser Khan
	Date: December 2007
	Purpose: functions for the Out of Print Report
*/

require($_SERVER['DOCUMENT_ROOT'] . "/web_includes/db.functions.php");
require($_SERVER['DOCUMENT_ROOT'] . "/web_includes/convertDivisonName.fnx.php");
require($_SERVER['DOCUMENT_ROOT'] . "/web_includes/convertMonth.fnx.php");
require($_SERVER['DOCUMENT_ROOT'] . "/web_includes/encryption.fnx.php");
require($_SERVER['DOCUMENT_ROOT'] . "/web_includes/validateEmail.fnx.php");
require($_SERVER['DOCUMENT_ROOT'] . "/web_includes/sendErrorMail.fnx.php");

// set the key globally
define("ENCRYPTION_KEY", "aosdgh98w45h9q3485tyqisughkjabgkodnghahdgfoipdan");

/*
	this function will return a link if the FOUND_ISBN field
	is = to 'Y' and will return plain text if the field is = to 'N'
*/
function found_isbn($type, $result, $isbn, $title=NULL, $counter=NULL) {
	
	switch ($type) {
	
		case '1':
			if ($result == "Y") {
				$_isbn = '<a href="http://mcgrawhill.ca/tpm/search/bookinfo.php?isbn='. $isbn .'">'. $isbn .'</a>';
				return $_isbn;
			} else {
				return $isbn;
			}
		break;

		case '2':
			if ($result == "Y") {
				//$_title = '<a href="http://mcgrawhill.ca/tpm/search/bookinfo.php?isbn='. $isbn .'" onMouseOver="doTooltip(event, messages['.$counter.'])" onMouseOut="hideTip()">'. $title .'</a>';
				$_title = '<a href="http://mcgrawhill.ca/tpm/search/bookinfo.php?isbn='. $isbn .'">'. $title .'</a>';
				return $_title;
			} else {
				return $title;
			}
		break;


		case '3':
			if ($result == "Y") {
				$_img = '<a href="http://mcgrawhill.ca/tpm/search/bookinfo.php?isbn='. $isbn .'" onMouseOver="doTooltip(event, messages['.$counter.'])" onMouseOut="hideTip()"><img src="images/camera_icon.jpg" width="32" height="24" border="0" /></a>';
				return $_img;
			}
		break;
	}
}


/*
	replaces null cell values with &nbsp;
	this is required because HTML will not render
	a background colour unless a cell has something in it
*/

function nbsp($value) {

	if (strlen($value) < 1) {
		$_value = "&nbsp;";
		return $_value;
	} else {
		return $value;
	}

}


/*
	grabs the OOP view options based
	on division
*/

function load_oop_data($division) {
	$conn = db_connect();

	$sql = "
SELECT out_of_print_month, business_unit, COUNT (*)
FROM web_out_of_print_prod
WHERE business_unit = '". $division ."'
GROUP BY out_of_print_month, business_unit
ORDER BY SUBSTR (out_of_print_month, 5, 4) DESC,
DECODE (SUBSTR (out_of_print_month, 1, 3),
                 'Jan', 1,
                 'Feb', 2,
                 'Mar', 3,
                 'Apr', 4,
                 'May', 5,
                 'Jun', 6,
                 'Jul', 7,
                 'Aug', 8,
                 'Sep', 9,
                 'Oct', 10,
                 'Nov', 11,
                 'Dec', 12
                ) DESC";	
				
	$stmt = oci_parse($conn, $sql);
	oci_execute($stmt);
	$nrows = oci_fetch_all($stmt, $results);


	echo '<table border="0" cellspacing="0" cellpadding="0">
	 <tbody>
	  <tr>
    <td width="120" class="header2">View</td>
    <td class="header2">Options</td>
  </tr>';
	// minus 1 from $nrows because of offset
	for ($i=0;$i<=$nrows-1;$i++) {
		$exploded_results = explode("-", $results['OUT_OF_PRINT_MONTH'][$i]);
		echo '
<tr class="oop_text">
<td valign="top"><a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/load-oop.php?div='.convertDivisionName($division, 1).'&mid='.$results['OUT_OF_PRINT_MONTH'][$i].'">'.$exploded_results[1].' - '.convertMonth($exploded_results[0], 4).'</a></td>
<td valign="top"><a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/load-oop.php?div='.convertDivisionName($division, 1).'&mid='.$results['OUT_OF_PRINT_MONTH'][$i].'">View</a> &nbsp;&nbsp; <a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/export-oop.php?type=csv&div='.convertDivisionName($division, 1).'&mid='.$results['OUT_OF_PRINT_MONTH'][$i].'">CSV</a> &nbsp;&nbsp; <a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/export-oop.php?type=xls&div='.convertDivisionName($division, 1).'&mid='.$results['OUT_OF_PRINT_MONTH'][$i].'" onClick="return confirm('."'Please be patient as the Excel file is Generated. Click OK to start download.'".')">EXCEL</a></td>
</tr>';
	}

	$last_year = date("Y") - 1;
	
	echo '
    <tr class="oop_text">
    <td valign="top"><a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/load-oop.php?div='.convertDivisionName($division, 1).'"><br>
      12 Month Report</a></td>
    <td valign="top"><a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/load-oop.php?div='.convertDivisionName($division, 1).'">
      <br>
      View</a> &nbsp;&nbsp; <a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/export-oop.php?type=csv&div='.convertDivisionName($division, 1).'">CSV</a> &nbsp;&nbsp; <a href="http://'.$_SERVER['HTTP_HOST'].'/outofprint/export-oop.php?type=xls&div='.convertDivisionName($division, 1).'" onClick="return confirm('."'Please be patient as the Excel file is Generated. Click OK to start download.'".')">EXCEL</a></td>
    </tr>
	 </tbody>
	</table>		
	';
	oci_close($conn);
	

}




// required to remove commas from the fields
function replaceComma($str) {
	$newstr = str_replace(",", " ", $str);
	return $newstr;
}



function get_account_name($account_number, $billto_or_shipto) {
	
	$conn = db_connect();
	
	// shipto = 1 and billto = 2
	if ($billto_or_shipto == "1") {
		
		$sql = "SELECT SHIP_PARTY_NAME ACCOUNT_NAME
FROM CANADA_LOAD.WEB_OUT_OF_PRINT
 WHERE SHIP_ACCOUNT_NUMBER = '".$account_number."' AND ROWNUM = '1'";
	
	} elseif ($billto_or_shipto == "2") {
		
		$sql = "SELECT BILL_PARTY_NAME ACCOUNT_NAME
FROM CANADA_LOAD.WEB_OUT_OF_PRINT
 WHERE BILL_ACCOUNT_NUMBER = '".$account_number."' AND ROWNUM = '1'";
	
	}
	
	$stmt = oci_parse($conn, $sql);
	oci_execute($stmt);
	$nrows = oci_fetch_all($stmt, $results);
	
	$account_name = $results['ACCOUNT_NAME'][0];
	
	oci_close($conn);
	
	return $account_name;
}




/*
	find out if the customer
	has any data for the 
	results for the time
	period specified
*/


function customer_data_count($account_number, $billto_or_shipto) {

	$conn = db_connect();
	
	$data_counts = array();
	
	for ($i=0;$i<2;$i++) {
		
		if ($i==0) {
			$sql_and_statement = "AND OUT_OF_PRINT_DATE >= SYSDATE-90";
		} else {
			$sql_and_statement = NULL;
		}
		
		if ($billto_or_shipto == 1) {
			$sql = "
SELECT DISTINCT DECODE (B.ISBN_13, NULL, 'N', 'Y') FOUND_ISBN, A.ISBN_10, A.ISBN,
         A.EDITION, A.TITLE, A.AUTHOR, A.ITEM_STATUS, A.OUT_OF_PRINT_DATE,
         A.PUBLICATION_DATE, A.ISBN_SUB, A.TITLE_SUB, A.EDITION_SUB,
        
		 SHIP_PARTY_NAME ACCOUNT_NAME,
                                      A.AUTHOR_SUB
    FROM CANADA_LOAD.WEB_OUT_OF_PRINT A, (SELECT DISTINCT ISBN_13
                                                     FROM CANADA_LOAD.QUICK_SEARCH
                                                 GROUP BY ISBN_13) B
   WHERE 1 = 1
		 " . $sql_and_statement . "
		
		 AND SHIP_ACCOUNT_NUMBER = '". $account_number ."'
	 
     AND A.ISBN_SUB = B.ISBN_13(+)
     AND NVL (A.CORE_OR_SUPPLEMENT, '~') <> 'S'
ORDER BY ITEM_STATUS, OUT_OF_PRINT_DATE DESC";
		} else {
			$sql = "
SELECT DISTINCT DECODE (B.ISBN_13, NULL, 'N', 'Y') FOUND_ISBN, A.ISBN_10, A.ISBN,
         A.EDITION, A.TITLE, A.AUTHOR, A.ITEM_STATUS, A.OUT_OF_PRINT_DATE,
         A.PUBLICATION_DATE, A.ISBN_SUB, A.TITLE_SUB, A.EDITION_SUB,
        
         BILL_PARTY_NAME ACCOUNT_NAME,
                                      A.AUTHOR_SUB
    FROM CANADA_LOAD.WEB_OUT_OF_PRINT A, (SELECT DISTINCT ISBN_13
                                                     FROM CANADA_LOAD.QUICK_SEARCH
                                                 GROUP BY ISBN_13) B
   WHERE 1 = 1
		 " . $sql_and_statement . "
		
        AND BILL_ACCOUNT_NUMBER = '". $account_number ."'
	 
     AND A.ISBN_SUB = B.ISBN_13(+)
     AND NVL (A.CORE_OR_SUPPLEMENT, '~') <> 'S'
ORDER BY ITEM_STATUS, OUT_OF_PRINT_DATE DESC";
		}
	
		$stmt = oci_parse($conn, $sql);
		oci_execute($stmt);
		$nrows = oci_fetch_all($stmt, $results);

		array_push($data_counts, $nrows);
	}

	oci_close($conn);
	return $data_counts;




}




/*
	validate the month and year
*/

function validate_month_year($month_year) {

	$month_array = array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");
	$year_array  = array(date("Y"), date("Y") - 1);
	$exploded    = explode("-", $month_year);
	
	if (count($exploded) <= 0) {
		return false;
	} elseif (!in_array($exploded[0], $month_array)) {
		return false;
	} elseif (!in_array($exploded[1], $year_array)) {
		return false;
	} else {
		return true;
	}

}




/*
	checks whether email exists in the database
	and its unsubscribe status
*/

function unsubscribe_email($email, $case) {

	
	

}


function clean($var) {

	$var = trim(strip_tags(stripslashes($var)));
	return $var;
}



function getAccountNumber($hashedAcountNumber) {

	$conn = db_connect();
	
	$sql = "SELECT ACCOUNT_NUMBER FROM WEB_OUT_OF_PRINT_CUSTOM WHERE HASHED_ACCOUNT_NUMBER='".$hashedAcountNumber."'";
	$stmt = oci_parse($conn, $sql);
	oci_execute($stmt);
	$nrows = oci_fetch_all($stmt, $results);
	
	if ($nrows >= 1) {
		
		return $results['ACCOUNT_NUMBER'][0];
	
	} else {
		return false;
	}
	
	oci_close($conn);

}







?>