<?php
/*
	Created By: Yasser Khan
	Date: Jan 2008
	Purpose: Loads oop data.
*/
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);

// remote ip tracer
include($_SERVER['DOCUMENT_ROOT'] . "/web_includes/remote.ip.checker.fnx.php");


/*
	GET VAR VALIDATION
*/

if (isset($_GET['div'])) if (strlen($_GET['div']) > 3) exit();
if (isset($_GET['mid'])) if (strlen($_GET['mid']) > 8)  exit();

if (!isset($_GET['div'])) {
	echo $_oopConfig['msg009'];
	exit();
}


if (!empty($_GET['mid'])) {
	$month = trim(strip_tags($_GET['mid']));
	
	if (validate_month_year($month)) {
		$sql_based_on_range = "AND A.OUT_OF_PRINT_MONTH = '". $month ."'";
		$month = explode("-", $month);
		$month = ucwords(convertMonth($month[0], 4)) . ", " . $month[1];
	} else {
		echo $_oopConfig['msg002'];
		exit();
	}
	
} else {
	$sql_based_on_range = NULL;
	
	$date  = date('F d, Y',mktime(0, 0, 0, date('m')-12, date('d'), date('Y')));
	//$month = date("F d, Y") . " to " . $date;
	$month = "January 01 2017 to December 31 2017";
}

$division = trim(strip_tags($_GET['div']));


	db_connect();
	
	$sql = "
SELECT   DISTINCT B.DIVISION_CANADA, DECODE (B.ISBN_13, NULL, 'N', 'Y') FOUND_ISBN, A.ISBN_10, A.ISBN,
         A.EDITION, A.TITLE, A.AUTHOR, A.ITEM_STATUS, A.OUT_OF_PRINT_DATE,
         A.PUBLICATION_DATE, A.ISBN_SUB, A.TITLE_SUB, A.EDITION_SUB,
         A.AUTHOR_SUB
    FROM WEB_OUT_OF_PRINT_PROD A, QUICK_SEARCH B
   WHERE 1 = 1
     AND A.BUSINESS_UNIT = '". strtoupper(convertDivisionName($division, 2)) ."'
     ". $sql_based_on_range ."
     AND A.ISBN_SUB = B.ISBN_13(+)
     AND NVL (A.CORE_OR_SUPPLEMENT, '~') <> 'S'
ORDER BY A.ITEM_STATUS, A.TITLE";

	$stmt = oci_parse($conn, $sql);
	oci_execute($stmt);
	$nrows = oci_fetch_all($stmt, $results);
	

	/*
		LOG USER ACTIVITY
	*/
	
	gatherUserStats('PUBLIC', NULL, convertDivisionName($division, 2).', '.$month);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Out of Print Report - <?php echo strtoupper(convertDivisionName($division, 3)) . " " . $month; ?></title>

<script src="scripts/common.js" type="text/javascript"></script>
<script src="scripts/mhr_tooltip.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="scripts/oop.css" />
</head>

<body>

<!-- Tooltip div -->
<div id="tooltipmsg" class="tooltipmsg"></div>
<!-- Tooltip div -->

<div id="header">
<a href="http://www.mcgrawhill.ca" target="_blank"><img src="images/mhp_4c_c_p_01.jpg" width="990" height="78" border="0" /></a></div>


<br />
<br />
<div class="title_">
<?php
	
	
	echo "<span class=title_2><strong>Out of Print Report</strong></span><br>" . strtoupper(convertDivisionName($division, 3)) . "<br>" . $month;
?>
</div>
<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
<thead>
<tr>
    <td colspan="8" align="left" bgcolor="#FFFFFF">&nbsp;</td>
    <td colspan="5" class="subs">SUBSTITUTIONS</td>
</tr>
<tr>
<th width="110" align="center" nowrap="nowrap" class="header">ITEM STATUS</th>
<th width="70" align="center" nowrap="nowrap" class="header">STATUS DATE</th>
<th width="130" align="center" nowrap="nowrap" class="header">ISBN</th>
<th width="100" align="center" nowrap="nowrap" class="header">MHE REFERENCE NO.</th>
<th width="90" align="center" nowrap="nowrap" class="header">AUTHOR</th>
<th align="center" nowrap="nowrap" class="header">TITLE</th>
<th width="60" align="center" nowrap="nowrap" class="header">EDITION</th>
<th width="120" align="center" nowrap="nowrap" class="header">PUBLICATION DATE</th>
<th width="100" align="center" nowrap="nowrap" class="header">ISBN</th>
<th width="100" align="center" nowrap="nowrap" class="header">AUTHOR</th>
<th align="center" nowrap="nowrap" class="header">&nbsp;</th>
<th align="center" nowrap="nowrap" class="header">TITLE</th>
<th width="80" align="center" nowrap="nowrap" class="header">EDITION</th>
</tr>
</thead>
<tbody class="txt10">
<?php
	
	$_results = $results;
	$_nrows = $nrows;
	
if ($nrows >= 1) {
	
	$oop_email_internal_report = 1;
	
	$_SESSION['goop_counter'] = 0;
	
	for ($i=0;$i<=$_nrows-1;$i++) {
		
		// alternates the rows bg colours
		if ($oop_email_internal_report == 1) {
			$alt_bg = 2;
		} else {
			$alt_bg = 1;
		}
		
		// trim the author name down
		if (strlen($_results['AUTHOR'][$i]) > 20) {
			$_results['AUTHOR'][$i] = substr($_results['AUTHOR'][$i], 0, 15) . "...";
		}
				
		if ($_results['ITEM_STATUS'][$i] == "Going Out of Print") {
			echo '
<tr class="cell_bg_'. $alt_bg .'">
<td height="25" align="center" valign="top" nowrap="nowrap">'. nbsp($_results['ITEM_STATUS'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['OUT_OF_PRINT_DATE'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['ISBN'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['ISBN_10'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['AUTHOR'][$i]) .'</td>
<td valign="top">'. nbsp($_results['TITLE'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['EDITION'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['PUBLICATION_DATE'][$i]) .'</td>
<td align="center" valign="top">'. found_isbn(1, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], NULL, NULL, $_results['DIVISION_CANADA'][$i]). '</td>
<td align="center" valign="top">'. nbsp($_results['AUTHOR_SUB'][$i]) .'</td>
<td valign="top">'. found_isbn(3, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i, $_results['DIVISION_CANADA'][$i]) . '</td>
<td valign="top">'. found_isbn(2, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i, $_results['DIVISION_CANADA'][$i]) . '</td>
<td align="center" valign="top">'. nbsp($_results['EDITION_SUB'][$i]) .'</td>
</tr>';
			$_SESSION['goop_counter'] = 1;	
		} else {
			if ($_SESSION['goop_counter'] == 1) {
				echo '<tr><td colspan="13" height="5" bgcolor="#ACACAC"></td></tr>';
				$_SESSION['goop_counter'] = 0;
			}
			echo '
<tr class="cell_bg_'. $alt_bg .'">
<td height="25" align="center" valign="top" nowrap="nowrap">'. nbsp($_results['ITEM_STATUS'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['OUT_OF_PRINT_DATE'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['ISBN'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['ISBN_10'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['AUTHOR'][$i]) .'</td>
<td valign="top">'. nbsp($_results['TITLE'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['EDITION'][$i]) .'</td>
<td align="center" valign="top">'. nbsp($_results['PUBLICATION_DATE'][$i]) .'</td>
<td align="center" valign="top">'. found_isbn(1, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], NULL, NULL, $_results['DIVISION_CANADA'][$i]). '</td>
<td align="center" valign="top">'. nbsp($_results['AUTHOR_SUB'][$i]) .'</td>
<td valign="top">'. found_isbn(3, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i, $_results['DIVISION_CANADA'][$i]) . '</td>
<td valign="top">'. found_isbn(2, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i, $_results['DIVISION_CANADA'][$i]) . '</td>
<td align="center" valign="top">'. nbsp($_results['EDITION_SUB'][$i]) .'</td>
</tr>';
		}
		
		// switch the counter
		$oop_email_internal_report *= -1;
	}

} else {
	$error = $_oopConfig['msg002'];
}
?>
</tbody>
</table>
<?php
oci_close($conn);
if (isset($error)) echo $error;
?>
<br />
<br />
<hr />
<div align="center"><a href="http://www.mcgrawhill.ca/privacy/index.php">Privacy Notice</a> - <a href="http://www.mcgraw-hill.com/copyrttm.htm" target="_blank">Terms of Use</a></div>
</body>
</html>
